<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_221) on Tue Jan 19 16:20:21 PST 2021 -->
<title>org.apache.nutch.util (apache-nutch 1.18 API)</title>
<meta name="date" content="2021-01-19">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="org.apache.nutch.util (apache-nutch 1.18 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-use.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/apache/nutch/urlfilter/validator/package-summary.html">Prev&nbsp;Package</a></li>
<li><a href="../../../../org/apache/nutch/util/domain/package-summary.html">Next&nbsp;Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/apache/nutch/util/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Package" class="title">Package&nbsp;org.apache.nutch.util</h1>
<div class="docSummary">
<div class="block">Miscellaneous utility classes.</div>
</div>
<p>See:&nbsp;<a href="#package.description">Description</a></p>
</div>
<div class="contentContainer">
<ul class="blockList">
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Class Summary table, listing classes, and an explanation">
<caption><span>Class Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/apache/nutch/util/AbstractChecker.html" title="class in org.apache.nutch.util">AbstractChecker</a></td>
<td class="colLast">
<div class="block">Scaffolding class for the various Checker implementations.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/apache/nutch/util/CommandRunner.html" title="class in org.apache.nutch.util">CommandRunner</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/apache/nutch/util/CrawlCompletionStats.html" title="class in org.apache.nutch.util">CrawlCompletionStats</a></td>
<td class="colLast">
<div class="block">Extracts some simple crawl completion stats from the crawldb

 Stats will be sorted by host/domain and will be of the form:
 1      www.spitzer.caltech.edu FETCHED
 50     www.spitzer.caltech.edu UNFETCHED</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/apache/nutch/util/CrawlCompletionStats.CrawlCompletionStatsCombiner.html" title="class in org.apache.nutch.util">CrawlCompletionStats.CrawlCompletionStatsCombiner</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/apache/nutch/util/DeflateUtils.html" title="class in org.apache.nutch.util">DeflateUtils</a></td>
<td class="colLast">
<div class="block">A collection of utility methods for working on deflated data.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/apache/nutch/util/DomUtil.html" title="class in org.apache.nutch.util">DomUtil</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/apache/nutch/util/DumpFileUtil.html" title="class in org.apache.nutch.util">DumpFileUtil</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/apache/nutch/util/EncodingDetector.html" title="class in org.apache.nutch.util">EncodingDetector</a></td>
<td class="colLast">
<div class="block">A simple class for detecting character encodings.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/apache/nutch/util/FSUtils.html" title="class in org.apache.nutch.util">FSUtils</a></td>
<td class="colLast">
<div class="block">Utility methods for common filesystem operations.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/apache/nutch/util/GenericWritableConfigurable.html" title="class in org.apache.nutch.util">GenericWritableConfigurable</a></td>
<td class="colLast">
<div class="block">A generic Writable wrapper that can inject Configuration to
 <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/conf/Configurable.html?is-external=true" title="class or interface in org.apache.hadoop.conf"><code>Configurable</code></a>s</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/apache/nutch/util/GZIPUtils.html" title="class in org.apache.nutch.util">GZIPUtils</a></td>
<td class="colLast">
<div class="block">A collection of utility methods for working on GZIPed data.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/apache/nutch/util/HadoopFSUtil.html" title="class in org.apache.nutch.util">HadoopFSUtil</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/apache/nutch/util/JexlUtil.html" title="class in org.apache.nutch.util">JexlUtil</a></td>
<td class="colLast">
<div class="block">Utility methods for handling JEXL expressions</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/apache/nutch/util/LockUtil.html" title="class in org.apache.nutch.util">LockUtil</a></td>
<td class="colLast">
<div class="block">Utility methods for handling application-level locking.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/apache/nutch/util/MimeUtil.html" title="class in org.apache.nutch.util">MimeUtil</a></td>
<td class="colLast">
<div class="block">This is a facade class to insulate Nutch from its underlying Mime Type
 substrate library, <a href="https://tika.apache.org/">Apache Tika</a>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/apache/nutch/util/NodeWalker.html" title="class in org.apache.nutch.util">NodeWalker</a></td>
<td class="colLast">
<div class="block">
 A utility class that allows the walking of any DOM tree using a stack instead
 of recursion.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/apache/nutch/util/NutchConfiguration.html" title="class in org.apache.nutch.util">NutchConfiguration</a></td>
<td class="colLast">
<div class="block">Utility to create Hadoop <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/conf/Configuration.html?is-external=true" title="class or interface in org.apache.hadoop.conf"><code>Configuration</code></a>s that include Nutch-specific
 resources.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/apache/nutch/util/NutchJob.html" title="class in org.apache.nutch.util">NutchJob</a></td>
<td class="colLast">
<div class="block">A <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/mapreduce/Job.html?is-external=true" title="class or interface in org.apache.hadoop.mapreduce"><code>Job</code></a> for Nutch jobs.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/apache/nutch/util/NutchTool.html" title="class in org.apache.nutch.util">NutchTool</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/apache/nutch/util/ObjectCache.html" title="class in org.apache.nutch.util">ObjectCache</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/apache/nutch/util/PrefixStringMatcher.html" title="class in org.apache.nutch.util">PrefixStringMatcher</a></td>
<td class="colLast">
<div class="block">A class for efficiently matching <code>String</code>s against a set of
 prefixes.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/apache/nutch/util/ProtocolStatusStatistics.html" title="class in org.apache.nutch.util">ProtocolStatusStatistics</a></td>
<td class="colLast">
<div class="block">Extracts protocol status code information from the crawl database.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/apache/nutch/util/ProtocolStatusStatistics.ProtocolStatusStatisticsCombiner.html" title="class in org.apache.nutch.util">ProtocolStatusStatistics.ProtocolStatusStatisticsCombiner</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/apache/nutch/util/SegmentReaderUtil.html" title="class in org.apache.nutch.util">SegmentReaderUtil</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/apache/nutch/util/SitemapProcessor.html" title="class in org.apache.nutch.util">SitemapProcessor</a></td>
<td class="colLast">
<div class="block">Performs Sitemap processing by fetching sitemap links, parsing the content and merging
 the urls from Sitemap (with the metadata) with the existing crawldb.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/apache/nutch/util/StringUtil.html" title="class in org.apache.nutch.util">StringUtil</a></td>
<td class="colLast">
<div class="block">A collection of String processing utility methods.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/apache/nutch/util/SuffixStringMatcher.html" title="class in org.apache.nutch.util">SuffixStringMatcher</a></td>
<td class="colLast">
<div class="block">A class for efficiently matching <code>String</code>s against a set of
 suffixes.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/apache/nutch/util/TableUtil.html" title="class in org.apache.nutch.util">TableUtil</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/apache/nutch/util/TimingUtil.html" title="class in org.apache.nutch.util">TimingUtil</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/apache/nutch/util/TrieStringMatcher.html" title="class in org.apache.nutch.util">TrieStringMatcher</a></td>
<td class="colLast">
<div class="block">TrieStringMatcher is a base class for simple tree-based string matching.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/apache/nutch/util/URLUtil.html" title="class in org.apache.nutch.util">URLUtil</a></td>
<td class="colLast">
<div class="block">Utility class for URL analysis</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
<a name="package.description">
<!--   -->
</a>
<h2 title="Package org.apache.nutch.util Description">Package org.apache.nutch.util Description</h2>
<div class="block">Miscellaneous utility classes.</div>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-use.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/apache/nutch/urlfilter/validator/package-summary.html">Prev&nbsp;Package</a></li>
<li><a href="../../../../org/apache/nutch/util/domain/package-summary.html">Next&nbsp;Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/apache/nutch/util/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2021 The Apache Software Foundation</small></p>
</body>
</html>
